Subject: bug#13390: tramp-adb hanging forever

From: Thierry Volpiatto <[email-masked]>
Date: Mon, 18 Feb 2013 12:02:06 +0100

Thierry Volpiatto <[email-masked]> writes:

> Michael Albinus <[email-masked]> writes:
>
>> Michael Albinus <[email-masked]> writes:
>>
>>> Thierry Volpiatto <[email-masked]> writes:
>>>
>>>> Hi Michael,
>>
>> Hi Thierry,
>>
>>>>> USB access is OK, but that's not what we want to test. Is there
>>>>> something one must prepare in order to run "adb connect" successfully?
>>>> Install adb wireless:
>>>> https://play.google.com/store/apps/details?id=siir.es.adbWireless&hl=en
>>>
>>> It says on the web page: "Rooted Phone Only!"
>>>
>>> Sorry, but that's not an option for my Nexus S. I can't check your
>>> problem.
>>
>> I still have no chance to install adb wireless for the given reason. But
>> if you have installed also an sshd app on your device, you could check
>> any ssh-based Tramp method from now on. I've just tweaked Tramp to
>> support this; see the Tramp manual for setup hints.
>>
>> It works fine for me with my Nexus S, running Android 4.1.2, and
>> SSHDroid 1.9.6.
> Same with sshdroid:
> env no such file or directory /bin/sh.
'sh' is located on my phone at "/system/xbin/sh".

-- 
Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997